| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Static Public Member Functions | Public Attributes | Static Public Attributes | Protected Member Functions | Protected Attributes | Properties | Private Member Functions | Private Attributes | Static Private Attributes | List of all members
IG.Forms.FadingMessageOld Class Reference

Manages a fading message window. Windows containing a message are launched in separate threads, closing after a specified time. More...

Inheritance diagram for IG.Forms.FadingMessageOld:
[legend]
Collaboration diagram for IG.Forms.FadingMessageOld:
[legend]

## Public Member Functions
| FadingMessageOld ()
| Argument-less constructor, does not launch the window in a parallel thread. More...
| FadingMessageOld (string msgtext)
| Shows a fading message in a new thread, with message text equal to mshtext and without a title;. More...
| FadingMessageOld (string msgtext, int showtime)
| Shows a fading message in a new thread, with message text equal to msgtext and with specified showing time in ms. More...
| FadingMessageOld (string msgtext, int showtime, double fadeportion)
| Shows a fading message in a new thread, with message text equal to msgtext and with specified showing time in ms and fading time portion. More...
| FadingMessageOld (string title, string msgtext)
| Shows the consform in a new thread, with a title and with message text equal to msgtext. More...
| FadingMessageOld (string title, string msgtext, int showtime)
| Shows a fading message in a new thread, with a title and with message text equal to msgtext, with specified showing time in ms. More...
| FadingMessageOld (string title, string msgtext, int showtime, double fadeportion)
| Shows a fading message in a new thread, with a title and with message text equal to msgtext, with specified showing time in ms and fading time portion. More...
void | CloseForm ()
| Closes the FadeMessage by properly (i.e. thread-safe) calling the Close() and Dispose(). More...
void | ShowThread ()
void | ShowThread (string text)
| Shows a fading message in a new thread, with message text equal to mshtext and without a title;. More...
void | ShowThread (string msgtext, int showtime)
| Shows a fading message in a new thread, with message text equal to msgtext and with specified showing time in ms. More...
void | ShowThread (string msgtext, int showtime, double fadeportion)
| Shows a fading message in a new thread, with message text equal to msgtext and with specified showing time in ms and fading time portion. More...
void | ShowThread (string title, string text)
| Shows the consform in a new thread, with a title and with message text equal to msgtext. More...
void | CopyMessageToClipboard ()
void | ShowThread (string title, string msgtext, int showtime)
| Shows a fading message in a new thread, with a title and with message text equal to msgtext, with specified showing time in ms. More...
void | ShowThread (string title, string msgtext, int showtime, double fadeportion)
| Shows a fading message in a new thread, with a title and with message text equal to msgtext, with specified showing time in ms and fading time portion. More...

## Static Public Member Functions
static void | Example ()
static void | Example2 ()

## Public Attributes
Color | ForeGroundColorTitle = Color.Blue
| Color of the title (if shown in fading message). More...
Color | ForeGroundColorMsg = Color.Black
| Color of the message text shown in the fading message. More...
Color | BackGroundColor = Color.LightYellow
| Active background color of the fading message. More...
Color | FadeColor = Color.DarkGray
| Final (faded) color of the fading message. More...
string | MsgTitle = null
bool | IsReady =false
bool | BlockMaxShownCurrent = false
| Indicates to block launching new messges when too many are processed. More...

## Static Public Attributes
static int | MaxShown = 50
| If false then the consform can not be closed or dispoded. More...
static bool | BlockMaxShown = false

## Protected Member Functions
override void | Dispose (bool disposing)
| Clean up any resources being used. More...

## Protected Attributes
bool | IsClosable = true
| Returns true if control has been created and is ready to work with. More...

## Properties
int | ShowTime`[get, set]`
double | FadingTimePortion`[get, set]`

## Private Member Functions
void | baseFadeMessage ()
void | FadeMessage_MouseMove (object sender, MouseEventArgs e)
void | FadeMessage_MouseDown (object sender, MouseEventArgs e)
void | ManipulationThreadFunc ()
| A parallel thread that takes care of launching the thread that manages the consform. This thread also takes care that the consform is disposed after the prescribed time elapses. More...
void | FormThreadFunc ()
| Launches the message. More...
void | timer1_Tick (object sender, EventArgs e)
void | SetFadeLevel (double fadefactor)
void | SetCommonEvents (Control f)
void | FadeMessage_Load (object sender, System.EventArgs e)
void | FadeMessage_Disposed (object sender, System.EventArgs e)
void | FadeMessage_FormClosing (object sender, FormClosingEventArgs e)
void | CancelBtn_Click (object sender, EventArgs e)
void | menuStrip1_ItemClicked (object sender, ToolStripItemClickedEventArgs e)
void | menuCopyMessage_Click (object sender, EventArgs e)
| Copies message text to clipboard. More...
void | menuClose_Click (object sender, EventArgs e)
void | launchTestMessageToolStripMenuItem_Click (object sender, EventArgs e)
void | FadeMessage_MouseClick (object sender, MouseEventArgs e)
| Handles mouse click events for the current fading message control. More...
void | FadeMessage_KeyPress (object sender, KeyPressEventArgs e)
| Handles mouse click events for the current fading message control. More...
void | PnlStatus_Paint (object sender, PaintEventArgs e)
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor. More...

## Private Attributes
string | MsgText = null
bool | Counted = false
| Instructs just for the current index to block launching the messge when too many are processed. More...
int | m_PrevX
int | m_PrevY
int | vShowTime = defaultShowtime
double | vFadingTimePortion = defaultFadingTimePortion
Thread | formthread = null
Thread | manipulationthread = null
int | mintickinterval = 40
int | maxticks = 50
int | numticks = 0
int | totalticks = 20
int | firsttick = 1000
int | tickinterval = 100
double | fadingfactor = 0
System.ComponentModel.IContainer | components = null
| Required designer variable. More...
System.Windows.Forms.Timer | timer1
System.Windows.Forms.Button | btnCancel
System.Windows.Forms.Label | lblStatus
System.Windows.Forms.Panel | BodyPnl
System.Windows.Forms.Label | lblMEssage
System.Windows.Forms.Label | lblTitle
System.Windows.Forms.Panel | PnlStatus
System.Windows.Forms.Label | labelBottom
System.Windows.Forms.ContextMenuStrip | menuMain
System.Windows.Forms.ToolStripMenuItem | menuCopyMessage
System.Windows.Forms.ToolStripMenuItem | menuClose
System.Windows.Forms.ToolStripMenuItem | launchTestMessageToolStripMenuItem

## Static Private Attributes
static int | NumShown = 0
| Indicates how many messages can be shown simultaneously. More...
static int | defaultShowtime = 3000
static double | defaultFadingTimePortion = 0.3

## Detailed Description

Manages a fading message window. Windows containing a message are launched in separate threads, closing after a specified time.

$A Igor jul08;

## Constructor & Destructor Documentation

IG.Forms.FadingMessageOld.FadingMessageOld | ( |  | ) |
| inline

Argument-less constructor, does not launch the window in a parallel thread.

IG.Forms.FadingMessageOld.FadingMessageOld | ( | string | msgtext | ) |
| inline

Shows a fading message in a new thread, with message text equal to mshtext and without a title;.

IG.Forms.FadingMessageOld.FadingMessageOld | ( | string | msgtext,
|  | int | showtime
| ) |  |
| inline

Shows a fading message in a new thread, with message text equal to msgtext and with specified showing time in ms.

IG.Forms.FadingMessageOld.FadingMessageOld | ( | string | msgtext,
|  | int | showtime,
|  | double | fadeportion
| ) |  |
| inline

Shows a fading message in a new thread, with message text equal to msgtext and with specified showing time in ms and fading time portion.

IG.Forms.FadingMessageOld.FadingMessageOld | ( | string | title,
|  | string | msgtext
| ) |  |
| inline

Shows the consform in a new thread, with a title and with message text equal to msgtext.

IG.Forms.FadingMessageOld.FadingMessageOld | ( | string | title,
|  | string | msgtext,
|  | int | showtime
| ) |  |
| inline

Shows a fading message in a new thread, with a title and with message text equal to msgtext, with specified showing time in ms.

IG.Forms.FadingMessageOld.FadingMessageOld | ( | string | title,
|  | string | msgtext,
|  | int | showtime,
|  | double | fadeportion
| ) |  |
| inline

Shows a fading message in a new thread, with a title and with message text equal to msgtext, with specified showing time in ms and fading time portion.

## Member Function Documentation

void IG.Forms.FadingMessageOld.baseFadeMessage | ( |  | ) |
| inline private

void IG.Forms.FadingMessageOld.FadeMessage_MouseMove | ( | object | sender,
|  | MouseEventArgs | e
| ) |  |
| inline private

void IG.Forms.FadingMessageOld.FadeMessage_MouseDown | ( | object | sender,
|  | MouseEventArgs | e
| ) |  |
| inline private

void IG.Forms.FadingMessageOld.ManipulationThreadFunc | ( |  | ) |
| inline private

A parallel thread that takes care of launching the thread that manages the consform. This thread also takes care that the consform is disposed after the prescribed time elapses.

void IG.Forms.FadingMessageOld.FormThreadFunc | ( |  | ) |
| inline private

Launches the message.

void IG.Forms.FadingMessageOld.timer1_Tick | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.FadingMessageOld.SetFadeLevel | ( | double | fadefactor | ) |
| inline private

References IG.Forms.UtilForms.SetBackColorRec().

void IG.Forms.FadingMessageOld.SetCommonEvents | ( | Control | f | ) |
| inline private

void IG.Forms.FadingMessageOld.FadeMessage_Load | ( | object | sender,
|  | System.EventArgs | e
| ) |  |
| inline private

References IG.Forms.ControlDelegate(), IG.Forms.UtilForms.RecursiveControlDelegate(), and IG.Forms.UtilForms.SetBackColorRec().

void IG.Forms.FadingMessageOld.FadeMessage_Disposed | ( | object | sender,
|  | System.EventArgs | e
| ) |  |
| inline private

void IG.Forms.FadingMessageOld.FadeMessage_FormClosing | ( | object | sender,
|  | FormClosingEventArgs | e
| ) |  |
| inline private

void IG.Forms.FadingMessageOld.CancelBtn_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.FadingMessageOld.CloseForm | ( |  | ) |
| inline

Closes the FadeMessage by properly (i.e. thread-safe) calling the Close() and Dispose().

References IG.Forms.VoidDelegate().

void IG.Forms.FadingMessageOld.ShowThread | ( |  | ) |
| inline

Shows a fading message in a new thread. It first launches a new thread that launches the thread managing the consform.

void IG.Forms.FadingMessageOld.ShowThread | ( | string | text | ) |
| inline

Shows a fading message in a new thread, with message text equal to mshtext and without a title;.

void IG.Forms.FadingMessageOld.ShowThread | ( | string | msgtext,
|  | int | showtime
| ) |  |
| inline

Shows a fading message in a new thread, with message text equal to msgtext and with specified showing time in ms.

void IG.Forms.FadingMessageOld.ShowThread | ( | string | msgtext,
|  | int | showtime,
|  | double | fadeportion
| ) |  |
| inline

Shows a fading message in a new thread, with message text equal to msgtext and with specified showing time in ms and fading time portion.

void IG.Forms.FadingMessageOld.ShowThread | ( | string | title,
|  | string | text
| ) |  |
| inline

Shows the consform in a new thread, with a title and with message text equal to msgtext.

void IG.Forms.FadingMessageOld.menuStrip1_ItemClicked | ( | object | sender,
|  | ToolStripItemClickedEventArgs | e
| ) |  |
| inline private

void IG.Forms.FadingMessageOld.menuCopyMessage_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

Copies message text to clipboard.

void IG.Forms.FadingMessageOld.CopyMessageToClipboard | ( |  | ) |
| inline

void IG.Forms.FadingMessageOld.menuClose_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.FadingMessageOld.ShowThread | ( | string | title,
|  | string | msgtext,
|  | int | showtime
| ) |  |
| inline

Shows a fading message in a new thread, with a title and with message text equal to msgtext, with specified showing time in ms.

void IG.Forms.FadingMessageOld.launchTestMessageToolStripMenuItem_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.FadingMessageOld.ShowThread | ( | string | title,
|  | string | msgtext,
|  | int | showtime,
|  | double | fadeportion
| ) |  |
| inline

Shows a fading message in a new thread, with a title and with message text equal to msgtext, with specified showing time in ms and fading time portion.

void IG.Forms.FadingMessageOld.FadeMessage_MouseClick | ( | object | sender,
|  | MouseEventArgs | e
| ) |  |
| inline private

Handles mouse click events for the current fading message control.

void IG.Forms.FadingMessageOld.FadeMessage_KeyPress | ( | object | sender,
|  | KeyPressEventArgs | e
| ) |  |
| inline private

Handles mouse click events for the current fading message control.

void IG.Forms.FadingMessageOld.PnlStatus_Paint | ( | object | sender,
|  | PaintEventArgs | e
| ) |  |
| inline private

static void IG.Forms.FadingMessageOld.Example | ( |  | ) |
| inline static

static void IG.Forms.FadingMessageOld.Example2 | ( |  | ) |
| inline static

References IG.Forms.FadingMessage.MsgText, and IG.Forms.FadingMessage.MsgTitle.

override void IG.Forms.FadingMessageOld.Dispose | ( | bool | disposing | ) |
| inline protected

Clean up any resources being used.

Parameters

  disposing | true if managed resources should be disposed; otherwise, false.

void IG.Forms.FadingMessageOld.InitializeComponent | ( |  | ) |
| inline private

Required method for Designer support - do not modify the contents of this method with the code editor.

## Member Data Documentation

Color IG.Forms.FadingMessageOld.ForeGroundColorTitle = Color.Blue

Color of the title (if shown in fading message).

Color IG.Forms.FadingMessageOld.ForeGroundColorMsg = Color.Black

Color of the message text shown in the fading message.

Color IG.Forms.FadingMessageOld.BackGroundColor = Color.LightYellow

Active background color of the fading message.

Color IG.Forms.FadingMessageOld.FadeColor = Color.DarkGray

Final (faded) color of the fading message.

string IG.Forms.FadingMessageOld.MsgTitle = null

string IG.Forms.FadingMessageOld.MsgText = null
| private

bool IG.Forms.FadingMessageOld.IsReady =false

bool IG.Forms.FadingMessageOld.IsClosable = true
| protected

Returns true if control has been created and is ready to work with.

int IG.Forms.FadingMessageOld.MaxShown = 50
| static

If false then the consform can not be closed or dispoded.

int IG.Forms.FadingMessageOld.NumShown = 0
| static private

Indicates how many messages can be shown simultaneously.

bool IG.Forms.FadingMessageOld.BlockMaxShown = false
| static

bool IG.Forms.FadingMessageOld.BlockMaxShownCurrent = false

Indicates to block launching new messges when too many are processed.

bool IG.Forms.FadingMessageOld.Counted = false
| private

Instructs just for the current index to block launching the messge when too many are processed.

int IG.Forms.FadingMessageOld.m_PrevX
| private

int IG.Forms.FadingMessageOld.m_PrevY
| private

int IG.Forms.FadingMessageOld.defaultShowtime = 3000
| static private

double IG.Forms.FadingMessageOld.defaultFadingTimePortion = 0.3
| static private

int IG.Forms.FadingMessageOld.vShowTime = defaultShowtime
| private

double IG.Forms.FadingMessageOld.vFadingTimePortion = defaultFadingTimePortion
| private

Thread IG.Forms.FadingMessageOld.formthread = null
| private

Thread IG.Forms.FadingMessageOld.manipulationthread = null
| private

int IG.Forms.FadingMessageOld.mintickinterval = 40
| private

int IG.Forms.FadingMessageOld.maxticks = 50
| private

int IG.Forms.FadingMessageOld.numticks = 0
| private

int IG.Forms.FadingMessageOld.totalticks = 20
| private

int IG.Forms.FadingMessageOld.firsttick = 1000
| private

int IG.Forms.FadingMessageOld.tickinterval = 100
| private

double IG.Forms.FadingMessageOld.fadingfactor = 0
| private

System.ComponentModel.IContainer IG.Forms.FadingMessageOld.components = null
| private

Required designer variable.

System.Windows.Forms.Timer IG.Forms.FadingMessageOld.timer1
| private

System.Windows.Forms.Button IG.Forms.FadingMessageOld.btnCancel
| private

System.Windows.Forms.Label IG.Forms.FadingMessageOld.lblStatus
| private

System.Windows.Forms.Panel IG.Forms.FadingMessageOld.BodyPnl
| private

System.Windows.Forms.Label IG.Forms.FadingMessageOld.lblMEssage
| private

System.Windows.Forms.Label IG.Forms.FadingMessageOld.lblTitle
| private

System.Windows.Forms.Panel IG.Forms.FadingMessageOld.PnlStatus
| private

System.Windows.Forms.Label IG.Forms.FadingMessageOld.labelBottom
| private

System.Windows.Forms.ContextMenuStrip IG.Forms.FadingMessageOld.menuMain
| private

System.Windows.Forms.ToolStripMenuItem IG.Forms.FadingMessageOld.menuCopyMessage
| private

System.Windows.Forms.ToolStripMenuItem IG.Forms.FadingMessageOld.menuClose
| private

System.Windows.Forms.ToolStripMenuItem IG.Forms.FadingMessageOld.launchTestMessageToolStripMenuItem
| private

## Property Documentation

int IG.Forms.FadingMessageOld.ShowTime
| get set

double IG.Forms.FadingMessageOld.FadingTimePortion
| get set

The documentation for this class was generated from the following files:

- igforms/Basic/Old/FadingMessageOld.cs
- igforms/Basic/Old/FadingMessageOld.Designer.cs